Bug 1605409 - Boot screen doesn't redraw after showing initial password prompt until is complete [amdgpu, works fine with radeon driver]
Summary: Boot screen doesn't redraw after showing initial password prompt until is com...
Keywords:
Status: CLOSED DUPLICATE of bug 1490490
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:16 UTC by ell1e
Modified: 2019-06-15 12:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 08:41:51 UTC
Type: Bug


Attachments (Terms of Use)

Description ell1e 2018-07-20 15:16:15 UTC
Description of problem:
With the amdgpu driver, the boot screen doesn't redraw after showing the initial password prompt: when typing, no letters are shown, and when entering the correct password and pressing enter, no progress indicator / logo shows up but I'm still staring at the empty bar until finally it switches to gdm.
With the radeon driver it works fine. GDM, the kernel TTY and the GNOME Wayland session also work fine, so it's purely limited to plymouth.

Version-Release number of selected component (if applicable):
plymouth-0.9.3-9.fc28.src.rpm

How reproducible:
100%

Steps to Reproduce:
1. Add boot options radeon.si_support=0 radeon.cik_support=0 amdgpu.si_support=1 amdgpu.cik_support=1
2. Make sure LUKS/LKM is used so you'll get a plymouth password prompt

Actual results:
Password prompt shows up, but then nothing redraws ever until boot is complete. You need to type blindly, and hope that you typed the password correct until finally gdm pops up after the full boot process went through.

Expected results:
Password prompt redraws & works properly when pressing a key, progress indicator / boot logo shows up properly after password prompt

Additional info:
GPU is 27:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340]
I use the default kernel with virtualbox modules (no custom kernel or custom updated drivers - everything as shipped with Fedora 28)

Comment 1 fednuc 2018-09-15 15:39:05 UTC
Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1490490

Unfortunately, the Bugzilla Plymouth maintainer has completely ignored that bug for a year now.

As a bonus, with kernel 4.18.x, Plymouth is now completely broken on AMDGPU - blank screen, doesn't silently accept a password, can't Esc to use text mode. Workaround is to remove rhgb from the boot line.

I'd consider Plymouth unmaintained at this point.

Comment 2 Ben Cotton 2019-05-02 20:55:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Hans de Goede 2019-06-12 08:41:51 UTC
Co-maintainer of plymouth here.

(In reply to fednuc from comment #1)
> Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1490490
> 
> Unfortunately, the Bugzilla Plymouth maintainer has completely ignored that
> bug for a year now.

That is simply not true, the original bug where this is tracked is bug 1490490
and I've responded several times in that bug.

As mentioned there, this really is an amdgpu kernel driver bug, not a plymouth
issue. As also mentioned there someone really should file a bug for this
upstream, which no one has done so far.

I've added instructions to bug 1490490 for filing this bug and one person
has filed a bug, but he actually is using Intel graphics, so that is a
completely different issue.

No-one I repeat *no-one* has filed a bug with the upstream amdgpu developers
for this yert. So if you want to help getting this fixed, please file such a
bug.

I will repeat instructions for filing the bug in bug 1490490, once I've marked
all the other bugs about this as duplicates (so that everyone will be in the Cc of bug 1490490 and see the instructions there.

Please put any further comments about this in bug 1490490.

> I'd consider Plymouth unmaintained at this point.

Again that is simply not true.

*** This bug has been marked as a duplicate of bug 1490490 ***

Comment 4 fednuc 2019-06-15 12:28:51 UTC
> That is simply not true, the original bug where this is tracked is bug 1490490
and I've responded several times in that bug.

Er, that bug was opened in September 2017, my comment you quoted was from September 2018; your first comment on that bug was in December 2018 ;)

> As mentioned there, this really is an amdgpu kernel driver bug, not a plymouth
issue. As also mentioned there someone really should file a bug for this
upstream, which no one has done so far.
>
> I've added instructions to bug 1490490 for filing this bug and one person
has filed a bug, but he actually is using Intel graphics, so that is a
completely different issue.
>
> No-one I repeat *no-one* has filed a bug with the upstream amdgpu developers
for this yert. So if you want to help getting this fixed, please file such a
bug.

Um, you said to Sebastian in https://bugzilla.redhat.com/show_bug.cgi?id=1490490#c24 to file a bug about the different PSR issue, which he did. AFAICS the first reference to upstreaming the amdgpu issue was 2 days ago.


Note You need to log in before you can comment on or make changes to this bug.